# NetworkContentConnecter Class Reference

Inheritance diagram for NetworkContentConnecter:

## Public Member Functions
| NetworkContentConnecter (const NetworkAddress &address)
virtual void | OnFailure ()
| Callback for when the connection attempt failed.
virtual void | OnConnect (SOCKET s)
| Callback when the connection succeeded.

## Detailed Description

Definition at line 685 of file network_content.cpp.

## Member Function Documentation

virtual void NetworkContentConnecter::OnConnect | ( | SOCKET | s | ) | `[inline, virtual]`

Callback when the connection succeeded.

Parameters:

  | s | the socket that we opened

Reimplemented from TCPConnecter.

Definition at line 695 of file network_content.cpp.

References ClientNetworkContentSocketHandler::isConnecting, ClientNetworkContentSocketHandler::OnConnect(), NetworkSocketHandler::Reopen(), and NetworkTCPSocketHandler::sock.

The documentation for this class was generated from the following file:

- src/network/network_content.cpp